# QStyleOptionViewItemV4 Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionViewItemV3.

### Constructor

- void QStyleOptionViewItemV4()
- void QStyleOptionViewItemV4(QStyleOptionViewItem other)
- void QStyleOptionViewItemV4(QStyleOptionViewItemV4 other)

### Constructor Properties

- prototype: The QStyleOptionViewItemV4 prototype object
- Invalid
- Beginning
- Middle
- End
- OnlyOne
- ViewItemPosition( value )
- Version = 4
- StyleOptionVersion( value )

### Instance Properties

QStyleOptionViewItemV4 objects have no special properties beyond those inherited from the QStyleOptionViewItemV4 prototype object.